/* 

@media Bootstrap
<576px  Extra small
≥576px  Small
≥768px  Medium
≥992px  Large
≥1200px Extra large

@media Custom
See variables.scss breakpoint

============================================= */

/* Media Ultra Wide
============================================= */
@include mediaUltraWide {
  .experience {
    .experience-img {
      &.pr {
        padding-right: 6% !important;
      }
      &.pl {
        padding-left: 6% !important;
      }
    }
    .experience-text {
      &.pr {
        padding-right: 6% !important;
      }
      &.pl {
        padding-left: 6% !important;
      }
    }
  }
}

/* Media Extra Large
============================================= */
@include mediaExtraLarge {
  .experience {
    .experience-img {
      img {
        max-width: 450px;
        max-height: 700px;
      }
    }
  }
  #header-fixed-informations {
    padding-top: 15px;
  }

  #header-fixed-nav {
    h1 {
      font-size: 2em;
      font-weight: 600;
    }
  }

  #experience-view {
    #carousel-experience {
      max-width: 400px;
    }
  }
}

/* Media Large
============================================= */
@include mediaLarge {
  /* Header
  ============================================= */
  header {
    .header-logo {
      // width: 30px;
      margin-right: 80px;
    }
    .header-item {
      font-size: 0.9em;
    }

    #locale-switcher {
      font-size: 0.8em;
      #separate {
        margin-right: 18px;
        &::after {
          left: 23px;
          top: 5px;
          height: 11px;
        }
      }
    }

    .custom-icon {
      margin-right: 15px !important;
    }
  }

  #header-fixed-informations {
    padding-top: 9px;
  }

  /* Typographie
  ============================================= */
  h1 {
    font-size: 2.5rem;
  }
  h2 {
    font-size: 2rem;
  }
  h3 {
    font-size: 1.5rem;
  }
  .subtitle,
  a {
    font-size: 0.9em;
  }
  p,
  li {
    font-size: 0.8em;
  }

  #header-fixed-nav {
    h1 {
      font-size: 2em;
      font-weight: 600;
    }
  }

  .svg-text-contact {
    margin-left: -1px; // icon have padding in path... need to align
    svg {
      width: 25px;
      height: 25px;
    }
  }
  /* Sections
  ============================================= */
  #scroll-down {
    margin: 100px 0px 130px 0px;
    .btn-icon-round {
      width: 70px;
      height: 70px;
    }
  }

  #experience-view {
    padding: 80px 40px 0px 40px;
  }

  #contact {
    #contact-card {
      padding: 60px 60px 60px 60px;
      .svg-text {
        .text-wrapper {
          font-size: 0.9em;
        }
      }
      #contact-form {
        .btn,
        textarea,
        input {
          font-size: 0.9em;
        }
        .btn,
        input {
          height: 50px;
        }
        textarea {
          height: 180px;
        }
      }
    }
  }
  .btn-anim {
    padding: 10px 15px;
    // font-size: 0.8rem;
  }

  footer {
    padding: 50px 0px 50px 0px;
  }
}

/* Media Medium
============================================= */
@include mediaMedium {
  /* Body
  ============================================= */
  body {
    overflow-x: hidden;
  }
  /* Header
  ============================================= */
  header {
    padding-top: 30px;
    .header-item-logo {
      margin-right: 45px;
    }
    .header-item {
      margin-right: 30px;
    }
    .custom-icon {
      margin-right: 5px !important;
    }
    &::after {
      bottom: -20px;
      height: 4px;
    }
  }

  main {
    padding-bottom: 250px;
  }

  #header-fixed-nav {
    padding-top: 100px !important;
    -webkit-box-ordinal-group: 0 !important;
    -ms-flex-order: 0 !important;
    order: 0 !important;
  }

  #header-fixed-informations {
    padding-top: 100px !important;
    -webkit-box-ordinal-group: 1 !important;
    -ms-flex-order: 1 !important;
    order: 1 !important;
  }

  #header-fixed-map {
    -webkit-box-ordinal-group: 3 !important;
    -ms-flex-order: 3 !important;
    order: 3 !important;
  }

  /* Typographie
  ============================================= */
  h1 {
    font-size: 2em;
  }
  h2 {
    font-size: 1.5em;
  }
  h3 {
    font-size: 1.1rem;
  }
  .subtitle,
  a {
    font-size: 0.8em;
  }
  p,
  li {
    font-size: 0.8em;
  }

  .btn-anim {
    font-size: 0.9em;
  }

  /* Sections
  ============================================= */
  #about {
    // height: 650px;
  }

  #skills {
    .wrapper-col {
      padding-top: 180px;
    }
    li {
      font-size: 0.6em;
    }
  }

  #experiences {
    padding: 80px 0px 80px 0px;
    #subtitle-portfolio {
      padding: 0px 0px 50px 0px;
    }
    article {
      margin-bottom: 0px;
    }
  }

  #experience-view {
    padding: 60px 40px 0 40px;
    #experience-view-title {
      padding-bottom: 65px;
    }
    #carousel-experience {
      max-width: 320px;
      margin: 0 auto;
    }
    #experience-view-text {
      padding-top: 100px;
      padding-left: 15px;
    }
  }

  #contact {
    padding: 0px 0px 0px 0px;
    #contact-card {
      #contact-form {
        padding-top: 20px;
        .btn,
        textarea,
        input {
          font-size: 0.8em;
        }
        .svg-text {
          padding-top: 20px;
          &:last-child {
            padding-bottom: 20px;
          }
        }
      }
    }
  }

  /* Icon
  ============================================= */
  .custom-icon {
    width: 18px;
    height: 18px;
  }
  .custom-icon-big {
    width: 30px;
    height: 30px;
  }
  .svg-text-contact {
    margin-left: -1px; // icon have padding in path... need to align
    svg {
      width: 20px;
      height: 20px;
    }
  }
}

/* Media Small
============================================= */
@include mediaSmall {
  /* Header
  ============================================= */
  header {
    padding-top: 40px;
    .header-item {
      display: none !important;
    }
    #header-burger {
      width: 40px;
      height: 40px;
    }

    #header-burger:before,
    #header-burger:after {
      width: 25px;
    }

    #header-burger.active {
      background: transparent;
    }

    #header-burger.active:before,
    #header-burger.active:after {
      background: $color_black;
    }
  }

  #header-fixed {
    #header-fixed-informations {
      padding-top: 0px !important;
    }

    #header-fixed-map {
      padding-top: 0px !important;
      height: 220px !important;
    }
  }

  main {
    padding-bottom: 180px;
  }

  /* Typographie
  ============================================= */
  .subtitle,
  a {
    font-size: 0.9em;
  }
  p,
  li {
    font-size: 0.9em;
  }
  #locale-switcher {
    font-size: 1.1em;
    #separate {
      &::after {
        left: 32px;
        top: 8px;
        height: 13px;
      }
    }
  }

  /* Sections
  ============================================= */
  #scroll-down {
    margin: 80px 0px 80px 0px;
  }

  #about {
    // height: 550px;
    padding: 0px 0px 60px 0px !important;
    #about-text {
      padding-top: 110px;
    }
  }

  #skills {
    .wrapper-col {
      padding-top: 180px;
    }
    .wrapper-col:not(:last-child) {
      border-bottom: 1px solid $color_light_grey;
    }
    li {
      font-size: 0.8em;
    }
    #skill-communication {
      margin-right: 0px;
      margin-left: 0px;
    }
  }
  #experiences {
    padding: 70px 0px 100px 0px;
    #subtitle-portfolio {
      padding: 0px 0px 70px 0px;
    }
  }

  .experience {
    .experience-img {
      text-align: center !important;
      padding: 0;
      &.pr {
        padding-right: 0px !important;
      }
      &.pl {
        padding-left: 0px !important;
      }
      img {
        max-width: 300px !important;
        height: auto !important;
        border-radius: 0;
      }
    }
    .experience-text {
      -webkit-box-ordinal-group: 1 !important;
      -ms-flex-order: 1 !important;
      order: 1 !important;
      text-align: left !important;
      padding-top: 50px;
      &.pr {
        padding-right: 40px !important;
        padding-left: 5px;
      }
      &.pl {
        padding-left: 5px !important;
        padding-right: 40px;
      }
      .experience-page {
        display: none;
      }
      .experience-cta {
        padding-top: 2rem;
      }
      .subtitle {
        float: left !important;
      }
    }
  }

  #contact {
    color: $color_black;
    padding: 30px 0px 0px 0px;
    .alert {
      background: $color_light_white;
      color: $color_black;
      border-radius: 12px;
    }
    #contact-card {
      background: transparent;
      padding: 50px 35px 60px 35px;
      border-radius: 0%;
      .svg-text {
        .text-wrapper {
          a {
            color: $color_black !important;
          }
        }
        svg {
          path {
            fill: $color_black;
          }
        }
      }
      .subtitle {
        color: $color_purple;
        &::before {
          background: $color_purple;
        }
      }
      #contact-form {
        input {
          margin-bottom: 20px;
        }
        textarea {
          margin-bottom: 20px;
        }
      }
      .btn {
        .custom-icon {
          width: 25px !important;
          height: 25px !important;
        }
      }
    }
  }

  #experiences {
    padding: 70px 0px 0px 0px;
    article {
      margin-bottom: 80px;
    }
  }

  #experience-view {
    padding: 100px 35px 50px 35px;
    #experience-view-title {
      padding-bottom: 30px;
    }
    #carousel-experience {
      max-width: none;
      padding: 0px 15px;
      .wrapper-carousel-icon-right {
        margin-right: -50px;
      }

      .wrapper-carousel-icon-left {
        margin-right: 50px;
      }
    }
    #experience-view-text {
      padding-top: 50px;
    }
  }

  footer {
    padding: 0px 0px 0px 0px !important;
    // box-shadow: inset 0 -250px 20px 0px rgb($color_full_black, 0.4) !important;
    #footer-copyright {
      padding-top: 0px !important;
    }
  }
}

/* Media Extra Small
============================================= */
@include mediaExtraSmall {
  #header-logo {
    color: $color_black;
  }

  #experiences {
    padding: 100px 0px 20px 0px;
    #subtitle-portfolio {
      padding: 0px 0px 40px 0px;
      #border-experiences {
        padding-top: 30px;
      }
    }
    #experiences-filter {
      margin-bottom: 50px;
      span {
        margin-bottom: 15px;
        display: inline-block;
      }
    }
  }

  #header-fixed-nav {
    padding-top: 100px !important;
  }
}
